#ifndef __SCBAR_H__
#define __SCBAR_H__

#include "fillbtn.h"

#define CUI_SCBAR_H	0
#define CUI_SCBAR_V	1

typedef struct cui_scbar{
	struct cui_base base;
	int hv; /* CUI_SCBAR_H or CUI_SCBAR_V */
	int max_v, v;
	cui dec, dec_pg, thumb, inc_pg, inc;
	int thumb_drag;
	int bak;
} *cui_scbar;

cui cui_scbar_new(cui parent, int x, int y, int w, int h, int max_v, int v);
void cui_scbar_init(cui obj, cui parent, int x, int y, int w, int h, int max_v, int v);
int cui_scbar_btn_hdr(cui fb, int evt, int val, void *prm);
int cui_scbar_thumb_hdr(cui fb, int evt, int val, void *prm);
void cui_scbar_update(cui obj);
int cui_scbar_hdr(cui obj, int evt, int val, void *prm);

int cui_scbar_val_get(cui obj);
void cui_scbar_val_set(cui obj, int v);
int cui_scbar_max_get(cui obj);
void cui_scbar_max_set(cui obj, int max_v);

#endif
